Startup error on v2.0.4 (in the plugin store)

Posted on
Fri Jun 29, 2018 10:35 am
jay (support) offline
Site Admin
User avatar
Posts: 15620
Joined: Mar 19, 2008
Location: Austin, Texas

Startup error on v2.0.4 (in the plugin store)

FYI, I just installed 2.0.4 from the plugin store and get this when the plugin starts up:

Code: Select all
   EPS - Device Extensions Error   Exception in plugcache._parsePlist line 596: [Errno 2] No such file or directory: u'/Library/Application Support/Perceptive Automation/Indigo 7/Plugins/Example Device - Speed Control.indigoPlugin/Contents/Info.plist'
                      CODE: plist = open(path + "/Contents/Info.plist")

   EPS - Device Extensions Error   Exception encountered with /Library/Application Support/Perceptive Automation/Indigo 7/Plugins/Example Device - Speed Control.indigoPlugin (this error is NOT critical)
   EPS - Device Extensions Error   Exception in plugcache.refresh line 539: 'key id not found in dict'
                      CODE: if plugInfo["id"] == self.factory.plugin.pluginId:

Jay (Indigo Support)
Twitter | Facebook | LinkedIn

Posted on
Fri Jun 29, 2018 10:55 am
Colorado4Wheeler offline
User avatar
Posts: 2794
Joined: Jul 20, 2009
Location: Colorado

Re: Startup error on v2.0.4 (in the plugin store)

Hmmm. Download the one on Git, it's been updated and has some experimental stuff in there but the stuff that was already in place should be fine. I'm, quite literally, writing a massive update for DE right now.

My Modest Contributions to Indigo:

HomeKit Bridge | Device Extensions | Security Manager | LCD Creator | Room-O-Matic | Smart Dimmer | Scene Toggle | Powermiser | Homebridge Buddy

Check Them Out Here

Posted on
Fri Jun 29, 2018 10:56 am
Colorado4Wheeler offline
User avatar
Posts: 2794
Joined: Jul 20, 2009
Location: Colorado

Re: Startup error on v2.0.4 (in the plugin store)

Ahh, it's your example device - it cannot read the info.plist on Example Device - Speed Control.indigoPlugin. Still a bit of a bug (and one that I'm working on in this next release, dealing with oddities in the XML and plist files) but you should be 100% operational regardless of that error because it will move on to the next plugin.

There are, so far, like 3-4 plugins that bomb out there - I've blocked the others already.

My Modest Contributions to Indigo:

HomeKit Bridge | Device Extensions | Security Manager | LCD Creator | Room-O-Matic | Smart Dimmer | Scene Toggle | Powermiser | Homebridge Buddy

Check Them Out Here

Posted on
Fri Jun 29, 2018 11:04 am
jay (support) offline
Site Admin
User avatar
Posts: 15620
Joined: Mar 19, 2008
Location: Austin, Texas

Re: Startup error on v2.0.4 (in the plugin store)

Are you using Python's built in plistlib library? I've never had it choke on a valid plist before.

Jay (Indigo Support)
Twitter | Facebook | LinkedIn

Posted on
Fri Jun 29, 2018 11:06 am
Colorado4Wheeler offline
User avatar
Posts: 2794
Joined: Jul 20, 2009
Location: Colorado

Re: Startup error on v2.0.4 (in the plugin store)

jay (support) wrote:
Are you using Python's built in plistlib library? I've never had it choke on a valid plist before.

Not in the release that is published because it was sort of on-the-fly, but the new one does. DE was my first 'big' plugin and so there has been much learned since then ;).

My Modest Contributions to Indigo:

HomeKit Bridge | Device Extensions | Security Manager | LCD Creator | Room-O-Matic | Smart Dimmer | Scene Toggle | Powermiser | Homebridge Buddy

Check Them Out Here

Posted on
Fri Jun 29, 2018 11:07 am
Colorado4Wheeler offline
User avatar
Posts: 2794
Joined: Jul 20, 2009
Location: Colorado

Re: Startup error on v2.0.4 (in the plugin store)

I'd be lying if I didn't admit that it's kind of cool that one of the devs has use for one of my plugins :D.

My Modest Contributions to Indigo:

HomeKit Bridge | Device Extensions | Security Manager | LCD Creator | Room-O-Matic | Smart Dimmer | Scene Toggle | Powermiser | Homebridge Buddy

Check Them Out Here

Posted on
Fri Jun 29, 2018 12:18 pm
jay (support) offline
Site Admin
User avatar
Posts: 15620
Joined: Mar 19, 2008
Location: Austin, Texas

Re: Startup error on v2.0.4 (in the plugin store)

Colorado4Wheeler wrote:
I'd be lying if I didn't admit that it's kind of cool that one of the devs has use for one of my plugins :D.


We both use quite a few plugins by you guys (I think I use about 15 or so on my production system). At some point, I hope to spend some time with HomeKit Bridge - but time is not something I have a lot of recently.

Keep cranking them out!

Jay (Indigo Support)
Twitter | Facebook | LinkedIn

Posted on
Wed Mar 20, 2019 8:53 am
Korey offline
User avatar
Posts: 559
Joined: Jun 04, 2008
Location: Henderson, NV

Re: Startup error on v2.0.4 (in the plugin store)

I'm getting a similar error as well:

Just 1 device trying to convert ºC to ºF

I have tried a device and a variable, and trashing the plugin prefs.


Code: Select all
Mar 20, 2019, 7:44:27 AM
   EPS - Device Extensions Error   Exception in plug.formFieldChanged line 1179: 'ascii' codec can't encode character u'\xba' in position 4: ordinal not in range(128)
                      CODE: self.logger.debug ("Plugin device '{0}' configuration field changed".format(indigo.devices[devId].name))

   EPS - Device Extensions Error   Exception in plug.validateDeviceConfigUi line 560: 'ascii' codec can't encode character u'\xba' in position 4: ordinal not in range(128)
                      CODE: self.logger.threaddebug ("Validating configuration on '{0}'".format(dev.name))

   EPS - Device Extensions Error   Exception in plug.closedDeviceConfigUi line 602: 'ascii' codec can't encode character u'\xba' in position 4: ordinal not in range(128)
                      CODE: self.logger.threaddebug ("Plugin device '{0}' configuration dialog closed".format(dev.name))


Mar 20, 2019, 7:44:58 AM
   Reloading plugin "EPS - Device Extensions 2.0.4"
   Stopping plugin "EPS - Device Extensions 2.0.4" (pid 53964)
   EPS - Device Extensions Error   Exception in plug.deviceStopComm line 513: 'ascii' codec can't encode character u'\xba' in position 4: ordinal not in range(128)
                      CODE: self.logger.threaddebug ("Plugin device '{0}' stopped communication".format(dev.name))

   Stopped plugin "EPS - Device Extensions 2.0.4"
   Starting plugin "EPS - Device Extensions 2.0.4" (pid 54363)
   Started plugin "EPS - Device Extensions 2.0.4"
   EPS - Device Extensions Warning Upgrading plugin from version 1.53 or earlier
   EPS - Device Extensions Error   Exception in plug.deviceStartComm line 275: 'ascii' codec can't encode character u'\xba' in position 4: ordinal not in range(128)
                      CODE: self.logger.threaddebug ("Starting communications on '{0}'".format(dev.name))
Attachments
Screen Shot 2019-03-20 at 10.50.16 AM.png
Screen Shot 2019-03-20 at 10.50.16 AM.png (432.08 KiB) Viewed 561 times

--
Korey

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 1 guest